Has this ever happened to you?  
You paid massive amounts for digital whiteboards years ago and cannot use them with the included software on Linux now since the manufacturer only built the software up until 2019 when Ubuntu 16.04 was still the most up-to-date version to them, leading you to dependancy hell when trying to install their software on your shiny new Ubuntu install?

Well, worry not! I've got just the thing for you~

# SMART Notebook 11 in Docker #

This repository contains a Dockerfile and some helper files, which when build and installed, run SMART Notebook 11 SP4 on pretty much any Linux machine by installing SMART Notebook 11 from scratch into a base Ubuntu 16.04 Docker container and fowards both the hosts' X11 server connection and your home directory all neatly tucked away behind a .desktop file so you can just double click on a SMART Notebook 11 document and have it automagically open in the Docker SMART Notebook 11 container, all on your modern Ubuntu or Debian or whatever else you may have, without touching any of your system libraries with outdated packages and broken dependancies!

## How to install ##
Just clone the repo with `git clone https://git.diskcat.com/Resneptacle/smart-notebook-11-docker.git`, then `cd smart-notebook-11-docker` and run the `install.sh` as user, NOT AS ROOT, e.g. with `bash install.sh`.  

This assumes that your own user is able to build and start Docker containers, if you haven't installed Docker yet or haven't configured it for your user account, see here:  
- [Install Docker Engine](https://docs.docker.com/engine/install/)  
- [Manage Docker as a non-root user](https://docs.docker.com/engine/install/linux-postinstall/#manage-docker-as-a-non-root-user)

## DISCLAIMER ##
I am in no way affiliated with SMART Technologies nor do I posess any rights to their brand, trademarks or other intellectual propterty. Should the SMART Notebook image included in this repository ever crop up on a public search engine and the owner of said image is unhappy that I include it in this repo, send a message to takedown@diskcat.com and I will take it down, no questions asked.