#!/bin/bash

# Allow local and docker connections to X11 on the host
xhost + local:docker >/dev/null

# TODO: Add /media to mapped directories to allow removable media

# Run docker container
docker run \
    -v /tmp/.X11-unix:/tmp/.X11-unix \
    -v ${HOME}:${HOME} \
    -e DISPLAY=${DISPLAY} \
    -e HOME=${HOME} \
    -e USER=${USER} \
    -e UID=${UID} \
    -e GID=$(id -g ${USER}) \
    -e SMART_ARGS=${@} \
    -h ${HOSTNAME} \
    notebook-gui